#include "MenuTextLeft_Player1Joystick.h"

InputSetting_Joystick* MenuTextLeft_Player1Joystick::GetInputSetting()
{
	return gameFunc->GetInputSetting_Player1Joystick ? gameFunc->GetInputSetting_Player1Joystick() : nullptr;
}

SDL_GameControllerButtonBind* MenuTextLeft_Player1Joystick::GetBind(InputSetting_Joystick* setting)
{
	return &setting->op_left;
}

std::weak_ptr<Entity> MenuTextLeft_Player1Joystick::GetPlayer(void* entityRes)
{
	return gameFunc->GetMyChar_Player1(entityRes);
}

std::shared_ptr<Entity> CreateMenuTextLeft_Player1Joystick()
{
	return std::make_shared<MenuTextLeft_Player1Joystick>();
}


